import java.util.*;
import java.io.*;
import java.math.*;
public class Main{
	public static void main(String args[]){
	try{
Scanner in=new Scanner(new FileReader("D.in"));
PrintWriter out=new PrintWriter(new FileWriter("D.out"));
BigInteger n=new BigInteger(in.next());
BigInteger a=new BigInteger(in.next());
BigInteger b=new BigInteger(in.next());
out.print(n.subtract(a.subtract(b)));
in.close();
out.close();


}catch (Exception e){}
}
}